VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::PropertyParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::PropertyParams:

## Avaliable Methods
public method | set_type ()
public method | get_properties ()
public method | set_properties ()
public method | get_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::PropertyParams` class contains a list of OVF properties that can be configured when the OVF package is deployed.

This is based on the ovf:ProductSection.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::PropertyParams::get_properties | ( |  | ) |

Gets the value of 'properties' property.

Return values

  properties | - The current value of the field. List* of OVF properties. optional#

Code:
click to view
# Number of lines of code in get_properties: 4
sub get_properties {
my ($self, %args) = @_;
return $self->{'properties'};
}

public method Com::Vmware::Vcenter::Ovf::PropertyParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::PropertyParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::PropertyParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{properties} = $args{'properties'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::PropertyParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.property_params');
$self->set_binding_field('key' => 'properties', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'Property'))));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::PropertyParams::set_properties | ( |  | ) |

Sets the given value for 'properties' property.

Parameters

  properties | - New value for the field. List* of OVF properties.

Code:
click to view
# Number of lines of code in set_properties: 5
sub set_properties {
my ($self, %args) = @_;
$self->{'properties'} = $args{'properties'};
return;
}

public method Com::Vmware::Vcenter::Ovf::PropertyParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/PropertyParams.pm